SmartWebSecurity MatchList API, REST: MatchList.List
Retrieves the list of MatchList resources in the specified folder.
HTTP request
GET https://smartwebsecurity.api.cloud.yandex.net/smartwebsecurity/v1/matchLists
Query parameters
Request message for MatchListService.List.
|
Field |
Description |
|
folderId |
string Required field. ID of the folder to list match lists in. |
Response
HTTP Code: 200 - OK
{
"lists": [
{
"id": "string",
"folderId": "string",
"cloudId": "string",
"labels": "object",
"name": "string",
"description": "string",
"listType": "string",
"itemType": "string",
"items": [
{
"value": "string",
"description": "string"
}
],
"createdAt": "string",
"updatedAt": "string"
}
]
}
Response message for MatchListService.List.
|
Field |
Description |
|
lists[] |
List of match list resources. |
MatchList
A match list resource.
|
Field |
Description |
|
id |
string ID of the match list. |
|
folderId |
string ID of the folder that the match list belongs to. |
|
cloudId |
string ID of the cloud that the match list belongs to. |
|
labels |
object (map<string, string>) Labels as The maximum string length in characters for each value is 63. The string length in characters for each key must be 1-63. Each key must match the regular expression |
|
name |
string Required field. Name of the match list. The string length in characters must be 1-50. Value must match the regular expression |
|
description |
string Description of the match list. The maximum string length in characters is 512. |
|
listType |
enum (ListType) Required field. Match list type.
|
|
itemType |
enum (ItemType) Required field. Match list item type.
|
|
items[] |
Match list items. |
|
createdAt |
string (date-time) Creation timestamp in RFC3339 String in RFC3339 To work with values in this field, use the APIs described in the |
|
updatedAt |
string (date-time) Update timestamp in RFC3339 String in RFC3339 To work with values in this field, use the APIs described in the |
Item
Item
|
Field |
Description |
|
value |
string Required field. Value of the item. The maximum string length in characters is 256. |
|
description |
string Description of the item. The maximum string length in characters is 128. |